Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 425772 (CVE-2012-3358) - <media-libs/openjpeg-1.5.1: heap-based buffer overflow when processing JPEG2000 image files (CVE-2012-3358)
Summary: <media-libs/openjpeg-1.5.1: heap-based buffer overflow when processing JPEG20...
Status: RESOLVED FIXED
Alias: CVE-2012-3358
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B2 [glsa]
Keywords:
Depends on: 472536
Blocks:
  Show dependency tree
 
Reported: 2012-07-11 06:36 UTC by taaroa
Modified: 2013-10-10 11:49 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description taaroa 2012-07-11 06:36:59 UTC
A heap-based buffer overflow was found in the way OpenJPEG, an
open-source JPEG 2000 codec written in C language, performed parsing of
JPEG2000 having certain number of tiles and tilesizes. A remote
attacker could provide a specially crafted JPEG 2000 file, which when
opened in an application linked against openjpeg would lead to that
application crash, or, potentially arbitrary code execution with the
privileges of the user running the application.

Upstream patch:
http://code.google.com/p/openjpeg/source/detail?r=1727

References:
https://bugzilla.redhat.com/show_bug.cgi?id=835767
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=681075

This issue has been assigned CVE-2012-3358
Comment 1 Agostino Sarubbo gentoo-dev 2012-07-11 09:53:09 UTC
Thanks for the report
Comment 2 GLSAMaker/CVETool Bot gentoo-dev 2012-07-19 16:30:21 UTC
CVE-2012-3358 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2012-3358):
  Multiple heap-based buffer overflows in the j2k_read_sot function in j2k.c
  in OpenJPEG 1.5 allow remote attackers to cause a denial of service
  (application crash) and possibly execute arbitrary code via a crafted (1)
  tile number or (2) tile length in a JPEG 2000 image file.
Comment 3 Sean Amoss gentoo-dev Security 2013-09-29 15:23:37 UTC
GLSA request filed.
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2013-10-10 11:49:00 UTC
This issue was resolved and addressed in
 GLSA 201310-07 at http://security.gentoo.org/glsa/glsa-201310-07.xml
by GLSA coordinator Sean Amoss (ackle).